## org.jboss.ejb.plugins.jaws
Interface JPMCommandFactory

All Known Implementing Classes:
  JDBCCommandFactory

public interface JPMCommandFactory

Interface for JAWSPersistenceManager Command Factories

Version:
  $Revision: 1.3 $
Author:
  Justin Forder

Method Summary
`JPMActivateEntityCommand` `createActivateEntityCommand()`
`JPMCreateEntityCommand` `createCreateEntityCommand()`
`JPMDestroyCommand` `createDestroyCommand()`
`JPMFindEntitiesCommand` `createFindEntitiesCommand()`
`JPMFindEntityCommand` `createFindEntityCommand()`
`JPMInitCommand` `createInitCommand()`
`JPMLoadEntitiesCommand` `createLoadEntitiesCommand()`
`JPMLoadEntityCommand` `createLoadEntityCommand()`
`JPMPassivateEntityCommand` `createPassivateEntityCommand()`
`JPMRemoveEntityCommand` `createRemoveEntityCommand()`
`JPMStartCommand` `createStartCommand()`
`JPMStopCommand` `createStopCommand()`
`JPMStoreEntityCommand` `createStoreEntityCommand()`

Method Detail

### createInitCommand

    public JPMInitCommand createInitCommand()

### createStartCommand

    public JPMStartCommand createStartCommand()

### createStopCommand

    public JPMStopCommand createStopCommand()

### createDestroyCommand

    public JPMDestroyCommand createDestroyCommand()

### createFindEntityCommand

    public JPMFindEntityCommand createFindEntityCommand()

### createFindEntitiesCommand

    public JPMFindEntitiesCommand createFindEntitiesCommand()

### createCreateEntityCommand

    public JPMCreateEntityCommand createCreateEntityCommand()

### createRemoveEntityCommand

    public JPMRemoveEntityCommand createRemoveEntityCommand()

### createLoadEntityCommand

    public JPMLoadEntityCommand createLoadEntityCommand()

### createLoadEntitiesCommand

    public JPMLoadEntitiesCommand createLoadEntitiesCommand()

### createStoreEntityCommand

    public JPMStoreEntityCommand createStoreEntityCommand()

### createActivateEntityCommand

    public JPMActivateEntityCommand createActivateEntityCommand()

### createPassivateEntityCommand

    public JPMPassivateEntityCommand createPassivateEntityCommand()

Copyright © 2000 The JBoss Organization. All Rights Reserved.